<?php
//
// By: Shayan Farhang Pazhooh @ ShayanWeb.com
// Version: 1.2
//
if(!defined('ABSPATH')){
	exit;
}
//
// defines
define( 'ASTRA_ShWebChild_VERSION' , '1.2' );
define( 'Astra_ShWebChild_Theme_DIR' , trailingslashit(get_stylesheet_directory()) );
define( 'Astra_ShWebChild_Theme_URI', trailingslashit(get_stylesheet_directory_uri()) );
//
// load shayanweb astra rtl css
function rtl_shayan_css(){
	wp_enqueue_style(
		'shayan-rtl',
		Astra_ShWebChild_Theme_URI . 'shayan-rtl.css',
		array('astra-theme-css'),
		ASTRA_ShWebChild_VERSION,
		'all'
	);
}
add_action('wp_enqueue_scripts','rtl_shayan_css');
//
// shayanweb custom admin font
function shayanweb_wppanelfonts(){
	// Separate Plugin For Change Fonts: https://shayanweb.com/blog/change-wp-admin-font
	wp_enqueue_style(
		'custom_admin_panel_style',
		Astra_ShWebChild_Theme_URI . 'admin-font.css',
		false,
		ASTRA_ShWebChild_VERSION,
	);
}
add_action('admin_enqueue_scripts','shayanweb_wppanelfonts');
//
// shayanweb notice
function shayanweb_adminnotice(){
	global $current_user;
	$user_id = $current_user->ID;
	if (!get_user_meta($user_id, 'shayanweb_adminnotice_ignore')) {
		echo '<div class="notice notice-error"><p>'.
		'<strong>در صورتی که می‌خواهید یک وبسایت مشابه دموی فارسی داشته باشید، طبق ویدیوی آموزشی در وبسایت شایان وب، دمو را ایمپورت کنید.</strong> | <a class="button button-secondary" href="?shweb-ignore-notice">قبلا دمو را ایمپورت کرده‌ام! (عدم نمایش مجدد این پیام)</a>
		| <a class="button button-shayanweb" href="https://shayanweb.com/blog/astra" target="_blank">ویدیو و مقاله‌ی قالب آسترا</a>'.
		'<br><br>لیست افزونه‌های گفته‌شده در ویدیو: (برای نصب، روی عنوان آن کلیک کرده و گزینه‌ی نصب و بعد در صفحه‌ی <a href="'.get_admin_url().'plugins.php">افزونه‌ها</a> فعال‌سازی‌شان را بزنید)<br><ul>';
		$array_plugins = array(
			array('name'=>'Widget Importer & Exporter', 'url'=>'widget-importer-exporter'),
			array('name'=>'Import / Export Customizer Settings', 'url'=>'astra-import-export'),
			array('name'=>'ShayanWeb Admin FontChanger', 'url'=>'shayanweb-admin-fontchanger'),
			array('name'=>'WordPress Importer', 'url'=>'wordpress-importer'),
			array('name'=>'WPForms Lite', 'url'=>'wpforms-lite'),
			array('name'=>'Elementor', 'url'=>'elementor'),
			array('name'=>'Persian Elementor', 'url'=>'persian-elementor'),
			array('name'=>'Custom Fonts', 'url'=>'custom-fonts'),
			array('name'=>'Woocommerce', 'url'=>'woocommerce'),
			array('name'=>'Persian Woocommerce', 'url'=>'persian-woocommerce'),
		);
		foreach($array_plugins as $item){
			echo '<li><a href="'.get_admin_url().'plugin-install.php?tab=plugin-information&plugin='.$item['url'].'&TB_iframe=true&width=772&height=375" aria-label="نصب افزونه" data-title="نصب افزونه" class="thickbox open-plugin-details-modal">نصب افزونه‌ی '.$item['name'].'</a></li>';
		}
		echo '</ul>' .
		'<a class="button button-shayanweb" style="display:block;max-width:100%;text-align:center" href="https://shayanweb.com/blog/astra" target="_blank">برای فرآیند نصب، ویدیو را کامل ببینید یا طبق مقاله پیش بروید. (برای آموزش نصب قالب آسترا در شایان وب کلیک کنید)</a>'.
		'</p></div>';
	}
}
add_action('admin_notices','shayanweb_adminnotice');
//
// ignore notice
function shayanweb_adminnotice_ignore(){
	global $current_user;
	$user_id = $current_user->ID;
	if (isset($_GET['shweb-ignore-notice'])) {
		add_user_meta($user_id, 'shayanweb_adminnotice_ignore', 'true', true);
	}
}
add_action('admin_init','shayanweb_adminnotice_ignore');
//
// copy astra translations
function shayanweb_copy_astra_translations(){
  $langto=fopen(WP_LANG_DIR.'/themes/astra-fa_IR.mo',"w");
  fwrite($langto,file_get_contents(Astra_ShWebChild_Theme_DIR.'languages/astra-fa_IR.mo'));
  fclose($langto);
}
add_action('admin_init','shayanweb_copy_astra_translations');